Package: org.codehaus.groovy.ant

## [Java] Class VerifyClass

- org.codehaus.groovy.ant.VerifyClass

- Verify Class files. This task can take the following arguments:

  - dir
  When this task executes, it will recursively scan the dir and look for class files to verify.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `VerifyClass ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `execute()`
    `` | `void` | `setDir(String dir)`
    `` | `void` | `setVerbose(boolean v)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class MatchingTask` | `add, addDate, setIncludes, setCaseSensitive, setExcludes, addType, setDefaultexcludes, createExcludesFile, createIncludesFile, addContainsRegexp, setFollowSymlinks, setProject, addSelector, XsetIgnore, XsetItems, selectorElements, addNone, addCustom, setExcludesfile, addContains, addPresent, addDepth, addDepend, selectorCount, addSize, addMajority, hasSelectors, addAnd, createExclude, addNot, addFilename, addDifferent, createPatternSet, createInclude, appendSelector, getSelectors, addOr, setIncludesfile, addModified, log, log, log, log, init, execute, getTaskName, getRuntimeConfigurableWrapper, setRuntimeConfigurableWrapper, bindToOwner, perform, reconfigure, getOwningTarget, setTaskType, setTaskName, getTaskType, setOwningTarget, maybeConfigure, clone, getLocation, setLocation, setDescription, getProject, getDescription, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`
    `class Task` | `log, log, log, log, init, execute, getTaskName, getRuntimeConfigurableWrapper, setRuntimeConfigurableWrapper, bindToOwner, perform, reconfigure, getOwningTarget, setTaskType, setTaskName, getTaskType, setOwningTarget, maybeConfigure, clone, getLocation, setLocation, setDescription, getProject, getDescription, setProject, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public VerifyClass()

  - ### Method Detail

    - #### public void execute()

    - #### public void setDir(String dir)

    - #### public void setVerbose(boolean v)